SDL_GetAssertionHandler(3)

NAME
SDL_GetAssertionHandler - Get the current assertion handler.

SYNOPSIS
#include <SDL3/SDL_assert.h>

SDL_AssertionHandler SDL_GetAssertionHandler(void **puserdata);

DESCRIPTION
This returns the function pointer that is called when an assertion is triggered. This is either the value last passed to SDL_SetAssertionHandler(), or if no application-specified function is set, is equivalent to calling SDL_GetDefaultAssertionHandler().

The parameter puserdata is a pointer to a void*, which will store the "userdata" pointer that was passed to SDL_SetAssertionHandler(). This value will always be NULL for the default handler. If you don't care about this data, it is safe to pass a NULL pointer to this function to ignore it.

FUNCTION PARAMETERS

puserdata
    pointer which is filled with the "userdata" pointer that was passed to SDL_SetAssertionHandler().

RETURN VALUE
Returns the SDL_AssertionHandler that is called when an assert triggers.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetAssertionHandler(3)